// Note the comments being made are to help you 
//learn the Arduino basics they don’t need to be copied
//when you write your code.

// Use //to add a comment as a sentence

//Note adding notes this way means you have to add // 
//before each line of notes.

/* Use /* to add a longer comment this way you don’t
   have to add // during each line. But you do have to 
   begin your note with /* and end it with */ 

/* void setup is is where you put your setup code 
   and the initial conditions for the programe 
   (pin modes, libraries etc). The code you enter here 
   runs once and outlines if you are using the ardunino
   pins to output or input data */

void setup () { 
  
  pinMode  (13,OUTPUT);
}
/* The parentheses () whilst important are not used 
   for the examples given. They are used to write 
   additional functions. /*
   
/* The curly brackets {} tell the Arduino board what 
   information relates to each section Void Loop or 
   Setup. Think of them as a marker to start and begin 
   your void loops and setups. You will notice we 
   begin and end each section with { } /*
   
/* When coding with Arduino remember the sketch pad will
   recognise certain commands such as pinMode, Delay etc.
   from its internal structure. This will only happen 
   when they are written correct. Remember Ardunio is 
   case sensitive. */
   
/* To tell the board what pins we want to code we must 
   first enter pinMode, when entered correct this will turn
   orange. We then add an open bracket with the number of 
   the pin we are programming followed by a comer, we are
   sending a signal out so we then write OUTPUT, note again
   this is case sensitive and output will turn blue when 
   entered correct. We then close our bracket and end the 
   sentence with a semicolon.  */

// A semi colon; is like a full stop, we add one after 
//every line of code.

//Double check you have a } to begin and end your set up
//and that your pinMode is orange and OUTPUT blue.


void loop  () {

digitalWrite (13,HIGH);}

/* We now add our void loop which is a loop function 
   which will repeat over and over. 
   First add digitalWrite this is a built-in function 
   and will turn orange when entered correct, don’t 
   forget its case sensitive and needs a capital to 
   start a new word. 
   
   digitalWrite tells the board we want to digitally 
   write something or in simple terms, turn something 
   on by sending voltage to it.
   Like with our setup we then after digitalWrite open 
   a bracket and add the pin number we want to turn 
   on/send a voltage to. In this case 13 followed by a 
   comma. Then to turn the voltage OFF we need to add the
   word LOW, note its case sensitive again, then close 
   the bracket and end with a semi colon and again make 
   sure the section ends with a } */
   
// you can now test your first code by verifying it 
//correct by clicking the tick icon and then uploading
//it to your board



 

